package com.inspect.alarmdifferent.service;

import com.inspect.alarmdifferent.domain.AlarmDifferent;

import java.util.List;

public interface IAlarmDifferentService {
    AlarmDifferent selectAlarmDifferentByLineId(Long lineId);

    List<AlarmDifferent> selectAlarmDifferentList(AlarmDifferent alarmDifferent);

    int insertAlarmDifferent(AlarmDifferent alarmDifferent);

    int updateAlarmDifferent(AlarmDifferent alarmDifferent);

    int deleteAlarmDifferentByLineIds(Long[] lineIds);

    int deleteAlarmDifferentByLineId(Long lineId);
}
